/*******************************************************************************
File:		LCD.h

			LCD source file funtction prototypes [and shared data].

Version:	3.00
*******************************************************************************/

// Global definitions
#define	SCREEN_16x2						// Uncomment for a 16x2 display
//#define	SCREEN_20x4							// Uncomment for a 20x4 display

#ifdef SCREEN_16x2
	#define	SCREEN_SIZE		(32)				// Number of characters on the screen
#endif

#ifdef SCREEN_20x4
	#define	SCREEN_SIZE		(80)				// Number of characters on the screen
#endif

extern void	LCDInit(void);
extern void LCDRedraw(void);
extern void LCDProcesses(void);
extern void LCDCursor(uint8_t position, uint8_t enable, uint8_t blink);
extern void LCDCustom(uint8_t character, uint8_t one, uint8_t two, 
							uint8_t three, uint8_t four, uint8_t five, uint8_t six, 
							uint8_t seven, uint8_t eight);
extern void LCDsendString(uint8_t *addr, uint8_t position, uint8_t chars);
extern void LCDsendFLASHString(const char *addr,
													uint8_t position, uint8_t chars);
extern void LCDsendEEPROMString(uint16_t addr,
													uint8_t position, uint8_t chars);
